using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace QiHe.RealMedia
{
    public class MediaFile
    {
        public string FileName;
        public string FilePath;
        public Stream FileStream;
        public List<Chunk> Chunks = new List<Chunk>();

        public Chunk GetChunk(string chunkName)
        {
            foreach (Chunk chunk in Chunks)
            {
                if (chunk.Name == chunkName)
                {
                    return chunk;
                }
            }
            return null;
        }

        public List<Chunk> GetChunks(string chunkName)
        {
            List<Chunk> chunks = new List<Chunk>();
            foreach (Chunk chunk in Chunks)
            {
                if (chunk.Name == chunkName)
                {
                    chunks.Add(chunk);
                }
            }
            return chunks;
        }
    }
}
