﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace QiHe.RealMedia
{
    public partial class FormatDef
    {
        Dictionary<string, RecordDef> records = new Dictionary<string, RecordDef>();

        public void Group()
        {
            foreach (RecordDef record in RecordDefs)
            {
                records[record.Name] = record;
            }
        }

        public RecordDef this[string name]
        {
            get
            {
                if (records.ContainsKey(name))
                {
                    return records[name];
                }
                else
                {
                    return null;
                }
            }
        }
    }
}
